mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The interface also provides access to all locals defined within the current scope.

This interface is the managed counterpart of the ISymUnmanagedScope interface, which is one of the unmanaged symbol store interfaces that provide an alternate way to read and write debug symbol information.

Represents a lexical scope within , providing access to the start and end offsets of the scope, as well as its child and parent scopes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the end offset of the current lexical scope.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolScope[] To be added

  Gets the child lexical scopes of the current lexical scope.

  The child lexical scopes that of the current lexical scope.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolVariable[]

  The local variables are returned in no particular order. If a local variable changes its address within the current scope, that variable is returned multiple times, each with a different offset range.

  Gets the local variables within the current lexical scope.

  The local variables within the current lexical scope.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolNamespace[] To be added

  Gets the namespaces that are used within the current scope.

  The namespaces that are used within the current scope.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolMethod To be added: an object of type 'ISymbolMethod' To be added

  Gets the method that contains the current lexical scope.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SymbolStore.ISymbolScope To be added: an object of type 'ISymbolScope' To be added

  Gets the parent lexical scope of the current scope.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the start offset of the current lexical scope.